/////////////////////////////
// Main game

var game = new Phaser.Game(1000, 800, Phaser.CANVAS, "RoundRectButton",
	{preload:preload, create:create, update:update, render:render}
);

function preload() {
	// game.load.image('phaser', '../../resources/image/phaser.png');
	// game.load.spritesheet('button', './image/button_basic.png', 200, 100);
}

function create() {
	// var i = game.add.image(game.world.centerX, game.world.centerY + 70, 'phaser');
	// i.anchor.set(0.5);
	game.stage.backgroundColor = '#4d4d4d';
	graphics = game.add.graphics(0, 0);

	let setting = new RoundRectButtonSetting(200, 100);
	setting.fontStyle = {
		fontSize: "30px",
		align: "center",
		fontWeight: "",
		stroke: "red",
		strokeThickness: 5
	};

	let button = new RoundRectButton(setting, "둥근 모서리\n버튼", dummy);
	button.move(200, 200);
	// button.lineSpacing = -10;
}

function dummy() {
	console.log("print dummy");
}

function update() {
}

function render() {
}
